Subject: [Bitcoin-development] multisig, op_eval and lock_time/sequence...

From: Michael Grønager <[email-masked]>
Date: Wed, 9 Nov 2011 11:22:06 +0100

Hi All,

Along with the multisig/op_eval BIPs (11/12) I am considering how the actual client functionality could be.

Some of you might already have the solution for this - if not I would like to propose the following...

Lets consider the 2 of 3 multisig - and lets say I now have some coins hence only redeemable using 2 key signatures. So when I want to spend them I would do:

1. from client1 I issue a transaction containing one of the signatures, with a locktime e.g. 10 minutes from now and a sequence of 0. This transaction is now posted to the p2p network.

2. client2 discovers the transaction and that it will affect its wallet. It hence modifies the transaction to includes also the second signature, changes the sequence to 0xFFFFFFFF=final and the lock_time to 0 and retransmits the transaction.

3. The transaction is now valid and final and will be approved by the miners.

However, for this setup to be possible, we need to reenable the replacement of transaction in the client....

Anyone working on this now ?

Alternatively, the transactions would need to be sent between clients using another protocol...

Cheers,

Michael